### Constructor

# Gtk.Box.new

#### Declaration [src]

    GtkWidget*
    gtk_box_new (
      GtkOrientation orientation,
      int spacing
    )

#### Description [src]

Creates a new `GtkBox`.

#### Parameters

`orientation` | `GtkOrientation`
| the box’s orientation
`spacing` | `int`
| the number of pixels to place by default between children

#### Return value

Returns: `GtkWidget`
a new `GtkBox`.
Ownership is not transferred to the caller